- [HTTP request](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/patch#body.request_body)
- [Response body](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/patch#body.aspect)
- [Try it!](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/patch#try-it)

Updates availability information for a human user. Only the `customStatus` field can be updated through this method.

This method only updates the authenticated user's availability.

Requires [user authentication](https://developers.google.com/workspace/chat/authenticate-authorize-chat-user) with one of the following [authorization scopes](https://developers.google.com/workspace/chat/authenticate-authorize#chat-api-scopes):

- `https://www.googleapis.com/auth/chat.users.availability`

### HTTP request

`PATCH https://chat.googleapis.com/v1/{availability.name=users/*/availability}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `availability.name` | `string` Identifier. Resource name of the user's availability. Format: `users/{user}/availability` `{user}` is the id for the Person in the People API or Admin SDK directory API. For example, `users/123456789`. The user's email address or `me` can also be used as an alias to refer to the caller. For example, `users/user@example.com` or `users/me`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of fields to update. The only field that can be updated is `customStatus`. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability#Availability`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability#Availability`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chat.users.availability`

For more information, see the [Authorization guide](https://developers.google.com/workspace/chat/authenticate-authorize).